=== src/kmailtransportakonadi/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 endif()
 generate_export_header(KF5MailTransportAkonadi BASE_NAME mailtransportakonadi)
 
-target_include_directories(KF5MailTransportAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi;${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransportakonadi>")
+target_include_directories(KF5MailTransportAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi>")
 target_include_directories(KF5MailTransportAkonadi PUBLIC "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>")
 
 
@@ -55,11 +55,9 @@
     KF5::AkonadiCore
     KF5::Mime
     KF5::AkonadiMime
-    KF5::MailTransport
     PRIVATE
     KF5::I18n
     KF5::CoreAddons
-    KF5::ConfigGui
     )
 
 set_target_properties(KF5MailTransportAkonadi PROPERTIES
@@ -69,7 +67,7 @@
     )
 
 
-install(TARGETS KF5MailTransportAkonadi EXPORT KF5MailTransportAkonadiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5MailTransportAkonadi EXPORT KF5MailTransportAkonadiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 ecm_generate_headers(MailTransport_kmailtransportakonadi_CamelCase_HEADERS
     HEADER_NAMES
@@ -86,16 +84,16 @@
 
 install(FILES
     ${MailTransport_kmailtransportakonadi_CamelCase_HEADERS}
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi COMPONENT Devel )
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi/MailTransportAkonadi COMPONENT Devel )
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_export.h
     ${MailTransport_kmailtransportakonadi_HEADERS}
 
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransportakonadi COMPONENT Devel
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi/mailtransportakonadi COMPONENT Devel
     )
 
-ecm_generate_pri_file(BASE_NAME KMailTransportAkonadi LIB_NAME KF5MailTransportAkonadi DEPS "KMailTransport AkonadiCore KMime AkonadiMime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi/)
+ecm_generate_pri_file(BASE_NAME KMailTransportAkonadi LIB_NAME KF5MailTransportAkonadi DEPS "KMailTransport AkonadiCore KMime AkonadiMime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi/)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
 
@@ -119,7 +117,7 @@
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_version.h
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi COMPONENT Devel
     )
 
 if(BUILD_TESTING)
