=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadimime-dev (>= 4:22.12.3~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5dbusaddons-dev,
               libkf5i18n-dev (>= 5.99.0~),
               libkf5kcmutils-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mime-dev (>= 22.12.3~),
               libkf5textwidgets-dev (>= 5.99.0~),
               libkf5wallet-dev (>= 5.99.0~),
               libkpimgapi-dev (>= 22.12.3~),
               libkpimsmtp-dev (>= 22.12.3~),
               libsasl2-dev,
               libsasl2-modules,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qt5keychain-dev,
               qtbase5-dev (>= 5.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kmailtransport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
Rules-Requires-Root: no

Package: kde-config-mailtransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mail transport service KCM
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: kmailtransport-akonadi
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: mail transport akonadi library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the akonadi plugin.

Package: libkf5mailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
Replaces: libkf5mailtransport5 (<< 20.04.1-2~),
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkf5mailtransport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadimime-dev (>= 4:22.12.3~),
         libkf5completion-dev,
         libkf5configwidgets-dev (>= 5.99.0~),
         libkf5coreaddons-dev,
         libkf5i18n-dev (>= 5.99.0~),
         libkf5mailtransport5 (= ${binary:Version}),
         libkf5mailtransportakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 22.12.3~),
         libkf5wallet-dev (>= 5.99.0~),
         libkf5widgetsaddons-dev,
         libsasl2-dev,
         qtbase5-dev (>= 5.7.0~),
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkf5mailtransport5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport,
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
Provides: ${ABI:VirtualPackage},

Package: libkf5mailtransportakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport,
Description: mail transport service library for akonadi
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This library integrates with Akonadi.
Provides: ${ABI:VirtualPackage},
